> For the complete documentation index, see [llms.txt](https://docs.mora-bot.kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mora-bot.kr/api/guide/version1/pronunciationtranslation.md).

# 발음번역

### Templates

* API는 모두 GET 메서드를 사용합니다
* GET URL : <https://mora-bot.kr/api/v1/hangulify?text={검사할> 문장}

| Field    | Type   | Description |
| -------- | ------ | ----------- |
| original | String | 호출된 문장      |
| result   | String | 반환된 내용      |

{% code lineNumbers="true" %}

```json
// 응답 내용
{
    "license":"kpop module used https://www.npmjs.com/package/kpop",
    "status":200,
    "original":"annyeong",
    "result":"안녕",
    "success":true
}
```

{% endcode %}

### NodeJS

{% code lineNumbers="true" %}

```javascript
// node-fetch
let text = '한국어로 발음 번역할 말';
const fetch = require('node-fetch')
fetch(`https://mora-bot.kr/api/v1/hangulify?text=${encodeURI(text)}`)
    .then(res => res.json())
    .then(json => {
        console.log(json)
        console.log(`원래 값 : ${json.original}`);
        console.log(`한글 발음화 : ${json.result}`);
    });

// request
let text = '한국어로 발음 번역할 말'
let api_url = `https://mora-bot.kr/api/v1/hangulify?text=${encodeURI(text)}`
const request = require('request');
let options = {
    url: api_url
}
request.get(options, function (error, response, body) {
    if (!error && response.status == 200) {
        let json = JSON.parse(body)
        console.log(`원래 값 : ${json.original}`);
        console.log(`한글 발음화 : ${json.result}`);
    } else {
        console.log('error = ' + response.errorcode);
    }
});
```

{% endcode %}

### Python

{% code lineNumbers="true" %}

```python
import requests

response = requests.get("https://mora-bot.kr/api/v1/hangulify?text=Juan")
result = response.json()

if response.status_code == 200:
  print(result)
  print(result['status'])
  print(result['original'])
  print(result['success'])
  print(result['result'])
  print(result['license'])
else:
  print(f"Error Code: {result['status']}")
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mora-bot.kr/api/guide/version1/pronunciationtranslation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
